### Name: lasso.boost
### Title: Fits LASSO model for additive hazards model
### Aliases: lasso.boost lasso.boostR L dL lasso.add.hazard
### Keywords: survival

### ** Examples

## makes data for pbc complete case
data(pbc)
pbc$time<-pbc$time+runif(418); pbc$time<-pbc$time/365
pbc[pbc==-9]<-NA; rsum<-apply(pbc,1,sum); 
pbc<-pbc[!is.na(rsum),]
covs<-as.matrix(pbc[,-c(10,17)])
lcovs<-covs;
lcovs[,c(3,5,6,10,11,13,17,18)]<-
log(lcovs[,c(3,5,6,10,11,13,17,18)])

## computes the matrices needed for the least squares 
## criterion 
out2<-aalen.test(Surv(time,status)~const(lcovs),pbc,robust=0,n.sim=0)
S=out2$intZHZ; s=out2$intZHdN;

## lambda=0.39
out.pbc<-lasso.boost(S,s,0.39,max.it=20000)

## exact solution, slow sometimes !!
# library(quadprog)
# out.ex<-lasso.add.hazard(S,s,0.39,0,1,max.it=20000)
# print(round(cbind(out.pbc$beta,out.ex$sol$solution),4))



